summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Hunter Sezen <ovariegata@yahoo.com>2015-12-31 12:59:32 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-12-31 12:59:32 +0700
commit17df16098167abbbf39314a6933c0fc3f1cf240b (patch)
tree0335f6afce45fd20687d1e192d5e495bf37f307c
parent30513f3ee9fc26a8cee4474bfef169be0f60c5b0 (diff)
downloadslackbuilds-17df16098167abbbf39314a6933c0fc3f1cf240b.tar.gz
slackbuilds-17df16098167abbbf39314a6933c0fc3f1cf240b.tar.xz
games/zelda-roth-se: Added (Zelda fangame for the Solarus engine).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/zelda-roth-se/README7
-rw-r--r--games/zelda-roth-se/doinst.sh3
-rw-r--r--games/zelda-roth-se/slack-desc19
-rw-r--r--games/zelda-roth-se/zelda-roth-se.SlackBuild110
-rw-r--r--games/zelda-roth-se/zelda-roth-se.info10
5 files changed, 149 insertions, 0 deletions
diff --git a/games/zelda-roth-se/README b/games/zelda-roth-se/README
new file mode 100644
index 0000000000..a23147f7ff
--- /dev/null
+++ b/games/zelda-roth-se/README
@@ -0,0 +1,7 @@
+Zelda Return of the Hylian Solarus Edition is a remake of the original Zelda
+Return of the Hylian, a short and pleasant fangame from Vincent Jouillat. The
+original game was developed in C++ and was released in 2006.
+
+This new version was developed with the Solarus engine by Christopho, Mymy and
+Vincent Jouillat. While this is essentially the same game, a lot of details were
+improved thanks to the use of Solarus.
diff --git a/games/zelda-roth-se/doinst.sh b/games/zelda-roth-se/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/zelda-roth-se/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/zelda-roth-se/slack-desc b/games/zelda-roth-se/slack-desc
new file mode 100644
index 0000000000..7dc6af1621
--- /dev/null
+++ b/games/zelda-roth-se/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+zelda-roth-se: zelda-roth-se (Zelda fangame for the Solarus engine)
+zelda-roth-se:
+zelda-roth-se: Zelda Return of the Hylian Solarus Edition is a remake of the
+zelda-roth-se: original Zelda Return of the Hylian, a short and pleasant fangame
+zelda-roth-se: from Vincent Jouillat. The original game was developed in C++ and was
+zelda-roth-se: released in 2006.
+zelda-roth-se:
+zelda-roth-se: Homepage: http://www.solarus-games.org/
+zelda-roth-se:
+zelda-roth-se:
+zelda-roth-se:
diff --git a/games/zelda-roth-se/zelda-roth-se.SlackBuild b/games/zelda-roth-se/zelda-roth-se.SlackBuild
new file mode 100644
index 0000000000..3c106a5ede
--- /dev/null
+++ b/games/zelda-roth-se/zelda-roth-se.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+
+# Slackware build script for Zelda Return of the Hylian Solarus Edition
+
+# Copyright 2015 Hunter Sezen California, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=zelda-roth-se
+SRCNAM=$(echo $PRGNAM | tr - _)
+VERSION=${VERSION:-1.0.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz || tar xvf $CWD/v$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+install -Dm0644 ${SRCNAM}_title_small.png $PKG/usr/share/pixmaps/${SRCNAM}_title_small.png
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Write a desktop file
+mkdir -p $PKG/usr/share/applications
+cat > $PKG/usr/share/applications/$PRGNAM.desktop <<EOF
+[Desktop Entry]
+Name=Zelda Return of the Hylian
+Exec=$SRCNAM
+Icon=${SRCNAM}_title_small.png
+Type=Application
+Comment=Zelda Return of the Hylian (action rpg game)
+Categories=Game;ActionGame;
+EOF
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a changelog.txt readme.md todo.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/zelda-roth-se/zelda-roth-se.info b/games/zelda-roth-se/zelda-roth-se.info
new file mode 100644
index 0000000000..7c4e438ab6
--- /dev/null
+++ b/games/zelda-roth-se/zelda-roth-se.info
@@ -0,0 +1,10 @@
+PRGNAM="zelda-roth-se"
+VERSION="1.0.8"
+HOMEPAGE="http://www.solarus-games.org/"
+DOWNLOAD="https://github.com/christopho/zelda_roth_se/archive/v1.0.8.tar.gz"
+MD5SUM="b7f80e228f86ab85b32b8b6631ba094f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="solarus"
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com" \ No newline at end of file